ahoyapi: v2
commands:
  exec:
    cmd: ahoy d4d exec drush "$@"
    usage: Run Drush in PHP container
  pull:
    cmd: |
      ahoy drush exec sql:sync --create-db @default.live @default.dev
      ahoy drush exec @default.dev cr
      ahoy drush exec @default.dev dev on
      ahoy drush exec @default.dev cim --partial --source=/var/www/html/config/default/environments/develop
      ahoy drush exec rsync @default.live:%files/ @default.dev:%files -- --chown=www-data:www-data --safe-links --max-size=20M
    usage: Pull files and DB from live site
  pull-sql:
    cmd: |
      ahoy drush exec sql:sync --create-db @default.live @default.dev
      ahoy drush exec @default.dev cr
      ahoy drush exec @default.dev dev on
      ahoy drush exec @default.dev cim --partial --source=/var/www/html/config/default/environments/develop
    usage: Pull DB from live site
  pull-files:
    cmd: |
      ahoy drush exec rsync @default.live:%files/ @default.dev:%files -- --chown=www-data:www-data --safe-links --max-size=20M
    usage: Pull files from live site
